Bug 810585

Summary: SELinux is preventing systemd-logind from 'unlink' accesses on the sock_file gnome-system-monitor.neil.724887958.
Product: [Fedora] Fedora Reporter: Neil <neilsbb>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: dominick.grift, dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:6550504695a7fac0d5050e5d07656eef3f732228d8415a80b7cfdb0eb6044b6d
Fixed In Version: selinux-policy-3.10.0-114.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-18 22:50:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Neil 2012-04-06 21:33:17 UTC
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-3.fc17.x86_64
time:           Fri 06 Apr 2012 02:33:02 PM PDT

description:
:SELinux is preventing systemd-logind from 'unlink' accesses on the sock_file gnome-system-monitor.neil.724887958.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that systemd-logind should be allowed unlink access on the gnome-system-monitor.neil.724887958 sock_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                unconfined_u:object_r:user_tmp_t:s0
:Target Objects                gnome-system-monitor.neil.724887958 [ sock_file ]
:Source                        systemd-logind
:Source Path                   systemd-logind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-110.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-3.fc17.x86_64 #1
:                              SMP Wed Apr 4 18:13:49 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 06 Apr 2012 02:12:03 PM PDT
:Last Seen                     Fri 06 Apr 2012 02:12:03 PM PDT
:Local ID                      cb6606be-50cf-49b7-88a8-2e5d765d45ac
:
:Raw Audit Messages
:type=AVC msg=audit(1333746723.78:388): avc:  denied  { unlink } for  pid=766 comm="systemd-logind" name="gnome-system-monitor.neil.724887958" dev="tmpfs" ino=114551 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=unconfined_u:object_r:user_tmp_t:s0 tclass=sock_file
:
:
:Hash: systemd-logind,systemd_logind_t,user_tmp_t,sock_file,unlink
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Comment 1 Daniel Walsh 2012-04-09 19:23:00 UTC
Fixed in selinux-policy-3.10.0-112.fc17

Comment 2 Fedora Update System 2012-04-13 08:41:10 UTC
selinux-policy-3.10.0-114.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-114.fc17

Comment 3 Fedora Update System 2012-04-14 01:45:52 UTC
Package selinux-policy-3.10.0-114.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-114.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5870/selinux-policy-3.10.0-114.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-04-18 22:50:43 UTC
selinux-policy-3.10.0-114.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.